Parrot 6.1 kommer med forbedret Raspberry Pi 5-understøttelse, Linux 6.6 og opdaterede cybersikkerhedsværktøjer

Papegøje 6.1

Sandheden er, at hvis kampen mellem de to mest populære etiske hacking-distributioner fandt sted i noget, der ligner en ring, ved jeg, hvem jeg ville satse mine penge på. Nej, det er ikke den, der er motiveret af denne artikel, da maskotten er en papegøje og Kalis er en drage. Men hvad begge muligheder skal gøre er at teste alle typer software og hardware, og der er valget ikke så enkelt. Og for et øjeblik siden de har lanceret Papegøje 6.1, og næsten samtidig en Kali-opdatering, som vi også vil tale om i dag, hvis vi har tid.

I Linux-distributioner er de fleste af ændringerne relateret til deres kerne- og grafiske miljøer, som i nogle metapakker er tilføjet. Disse metapakker består af snesevis eller hundredvis af pakker, og dem i distroerne til etisk hacking er små programmer eller scripts til test sikkerhed. Det klareste eksempel er noget, som mange af os har gjort på et tidspunkt: se om vi kan dechifrere adgangskoden til vores router... eller naboens. Fordi dette, selvom det ikke er det, der skal gøres, er også muligt.

Parrot 6.1 højdepunkter

Blandt højdepunkterne i Parrot 6.1, ud over den følgende liste med opdateringer til dets sikkerhedsapplikationer og pentesting, fandt vi en støtte til Raspberry Pi 5 forbedret, som nu har tilføjet og aktiveret drivere. Ydermere er kernen steget til Linux 6.6.26, flere drivere er blevet tilføjet for at forbedre kompatibiliteten med eksterne enheder, og en fejl, der forhindrede WiFi i at fungere på Raspberry Pi 400, er blevet rettet.

Værktøjsopdateringer

  • Anonsurf 4.2: Forbedret stabilitet og løste problemer i launcher-scriptet for at forbedre anonymitet og brugeroplevelse.
  • Opdateringspåmindelsens popup blev genindført i systemet for at hjælpe med at holde systemet opdateret.
  • Nmap: Rettet til at rette adskillige fejl i dit mssql-scanning lua-script.
  • burpsuite 2024.2.1.3: Opdateret til den seneste version og rettet en inkonsekvens i java-versionen på nogle maskiner.
  • sqlmap 1.8.3: Opdateret til den seneste version for at forbedre SQL-injektionsdetektering og kontrolfunktioner.
  • sslscan 2.1.3: Opdateret til den seneste version.
  • zaproxy 2.14: Ny version, der giver forbedrede værktøjer til test af webapplikationssikkerhed.
  • netexec 1.1.1: Introduceret for at erstatte crackmapexec-værktøjet. Netexec kan bruges som erstatning for crackmapexec og tilbyder de samme funktioner.
  • metasploit 6.4.6: Opdateret med nye udnyttelser og forbedrede penetrationstestværktøjer.
  • woeusb-ng 0.2.12: Opdateret for at forbedre oprettelse af bootbare USB-drev fra Windows ISO-filer.
  • volatilitet3 1.0.1: Opdateret for at forbedre kriminaltekniske og hukommelsesanalysefunktioner.
  • rizin 0.7.2: Ny version med forbedrede reverse engineering værktøjer og funktioner.
  • powershell-empire 5.9.5: Opdateret for at forbedre mulighederne i post-udnyttelsesrammerne.
  • instaloader 4.11- Opdateret til nyeste version for at forbedre skrabe og downloade Instagram-data.
  • gdb-gef 2024.1: Opdateret med nye funktioner og forbedringer til GDB Enhanced Features plugin.
  • evil-winrm 3.5: Forbedret version for bedre interaktion med Windows Remote Management.
  • bind9: En vigtig sikkerhedsopdatering er blevet anvendt.

Opdaterede pakker

  • krom: De seneste sikkerhedsopdateringer er blevet anvendt for at sikre sikker browsing.
  • firefox: Opdateret med de nyeste sikkerhedsrettelser for at forbedre sikkerheden og browserydelsen.
  • web kit: Indbygget sikkerhedsopdateringer for at beskytte mod sårbarheder i webudretningsmotoren.
  • golang 1.21- Opdateret til den nyeste version, med ydeevneforbedringer og nye funktioner.
  • grub 2.12: Opdateret for at forbedre bootloader-funktionalitet og sikkerhed.
  • libc6 og glibc6: Sikkerhedsopdateringer anvendt for at forbedre systemets stabilitet og sikkerhed.
  • rørledning 1.0.5: Opdateret for at forbedre lydhåndtering og ydeevne.
  • libreoffice 24.2: Ny version med forbedrede funktioner og sikkerhedsforbedringer til kontorpakkeapplikationer.
  • åbenjdk: Anvendte sikkerhedsopdateringer for at forbedre sikkerheden i Java-runtime-miljøet.
  • php8- Sikkerhedsopdateringer er blevet tilføjet for at forbedre webudvikling og server-side scripting sikkerhed.
  • rubin 3.1: Opdateret med de seneste sikkerhedsrettelser for at forbedre udviklingssikkerhed og stabilitet.

Sådan får du Parrot 6.1

Eksisterende brugere kan opgradere til Parrot 6.1 ved at åbne en terminal og skrive sudo parrot-upgrade eller den sædvanlige Debian-kombination, dvs. sudo apt update && sudo apt full-upgrade. Ved nye installationer kan billeder downloades på deres hjemmeside, som også er blevet forbedret for at gøre det lettere at læse.


Efterlad din kommentar

Din e-mailadresse vil ikke blive offentliggjort. Obligatoriske felter er markeret med *

*

*

  1. Ansvarlig for data: AB Internet Networks 2008 SL
  2. Formålet med dataene: Control SPAM, management af kommentarer.
  3. Legitimering: Dit samtykke
  4. Kommunikation af dataene: Dataene vil ikke blive kommunikeret til tredjemand, undtagen ved juridisk forpligtelse.
  5. Datalagring: Database hostet af Occentus Networks (EU)
  6. Rettigheder: Du kan til enhver tid begrænse, gendanne og slette dine oplysninger.